<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaJournal extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_journal', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('type')->default('no');
            $table->integer('content_id');
            $table->integer('user_id');
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_journal');
    }
}
